import { post, upload } from '@/api/request';

const env = import.meta.env;
const PREFIX = env.VITE_API_PREFIX_DATA;

// 查询目录详情
export const dataOverViewListSimulationNodeFilesApi = (params: any) => {
  return post(`${PREFIX}dataOverView/listSimulationNodeFiles`, params);
};
// 删除文件
export const dataOverViewDeleteSimulationNodeFilesApi = (params: any) => {
  return post(`${PREFIX}dataOverView/deleteSimulationNodeFiles`, params);
};
// 创建文件夹
export const dataOverViewCreateSimulationNodeDirApi = (params: any) => {
  return post(`${PREFIX}dataOverView/createSimulationNodeDir`, params);
};
// 上传文件
export const dataOverViewUploadSimulationNodeFilesApi = (params: any) => {
  return upload(`${PREFIX}dataOverView/uploadSimulationNodeFiles`, params);
};
// 搜索文件
export const dataOverViewSearchSimulationNodeFilesApi = (params: any) => {
  return post(`${PREFIX}dataOverView/searchSimulationNodeFiles`, params);
};

